libtest-poe-client-tcp-perl_1.26-1_all.deb


Advertisement

Description

libtest-poe-client-tcp-perl - POE Component providing TCP client services for test cases

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package name libtest-poe-client-tcp-perl
Package version 1.26
Package release 1
Package architecture all
Package type deb
Installed size 51 B
Download size 15.84 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
libtest-poe-client-tcp-perl_1.26-1_all.deb 1.26 all Debian Main
libtest-poe-client-tcp-perl - - -

Requires

Name Value
libpoe perl
libsocket-perl >= 2.013
perl >= 5.19.6
perl -

Download

Type URL
Binary Package libtest-poe-client-tcp-perl_1.26-1_all.deb
Source Package libtest-poe-client-tcp-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libtest-poe-client-tcp-perl deb package:
    # sudo apt-get install libtest-poe-client-tcp-perl

Files

Path
/usr/share/doc/libtest-poe-client-tcp-perl/changelog.Debian.gz
/usr/share/doc/libtest-poe-client-tcp-perl/changelog.gz
/usr/share/doc/libtest-poe-client-tcp-perl/copyright
/usr/share/doc/libtest-poe-client-tcp-perl/examples/synopsis.pl
/usr/share/man/man3/Test::POE::Client::TCP.3pm.gz
/usr/share/perl5/Test/POE/Client/TCP.pm

Changelog

2018-11-17 - gregor herrmann <gregoa@debian.org>
libtest-poe-client-tcp-perl (1.26-1) unstable; urgency=medium
* Team upload.
* Import upstream version 1.26.
* Update (build) dependencies.
2018-09-18 - gregor herrmann <gregoa@debian.org>
libtest-poe-client-tcp-perl (1.24-1) unstable; urgency=medium
* Team upload.
* Import upstream version 1.24.
* Drop ipv6.patch, merged upstream.
* Drop build dependencies which are only needed for author tests.
2018-09-16 - Damyan Ivanov <dmn@debian.org>
libtest-poe-client-tcp-perl (1.22-2) unstable; urgency=medium
* patch in IPV6 support
* my add myself to Uploaders
* declare conformance with Policy 4.2.1
2018-07-26 - Lucas Kanashiro <kanashiro@debian.org>
libtest-poe-client-tcp-perl (1.22-1) unstable; urgency=medium
* Team upload.
* Import upstream version 1.22
* Bump debhelper compatibility level to 11
* Declare compliance with Debian Policy 4.1.5
* Add debian/upstream/metadata
2018-06-21 - Florian Schlichting <fsfs@debian.org>
libtest-poe-client-tcp-perl (1.14-1) unstable; urgency=medium
[ gregor herrmann ]
* Strip trailing slash from metacpan URLs.
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
* debian/control: Use HTTPS transport protocol for Vcs-Git URI
[ gregor herrmann ]
* debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
* Remove Fabrizio Regalli from Uploaders. Thanks for your work!
* Remove Jonathan Yu from Uploaders. Thanks for your work!
[ Salvatore Bonaccorso ]
* Update Vcs-* headers for switch to salsa.debian.org
[ Florian Schlichting ]
* New upstream version 1.14
* Update copyright years
* Declare compliance with Debian Policy 4.1.4
2013-08-10 - Florian Schlichting <fsfs@debian.org>
libtest-poe-client-tcp-perl (1.12-1) unstable; urgency=low
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ gregor herrmann ]
* debian/control: update {versioned,alternative} (build) dependencies.
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ Florian Schlichting ]
* Imported Upstream version 1.12.
* Bump years of upstream copyright.
* Remove copyright paragraph for M::I no longer shipped by upstream.
* Bump Standards-Version to 3.9.4 (update to copyright-format 1.0).
* Add myself to uploaders and copyright.
2011-06-30 - Fabrizio Regalli <fabreg@fabreg.it>
libtest-poe-client-tcp-perl (1.10-1) unstable; urgency=low
[ Jonathan Yu ]
* New upstream release
[ Fabrizio Regalli ]
* New upstream release
* Bump to 3.9.2 Standard-Version.
* Add myself to Uploaders and Copyright.
* Switch d/compat to 8.
* Build-Depends: switch to debhelper (>= 8).
* Updated d/copyright.
* Bump to quilt 3.0 format.
2009-10-26 - Jonathan Yu <jawnsy@cpan.org>
libtest-poe-client-tcp-perl (1.06-1) unstable; urgency=low
[ Jonathan Yu ]
* New upstream release
* Now depends on POE 1.28 per upstream
[ gregor herrmann ]
* Only run tests if localhost is available (hopefully closes: #552922).
2009-10-06 - Jonathan Yu <jawnsy@cpan.org>
libtest-poe-client-tcp-perl (1.04-1) unstable; urgency=low
* Initial Release (Closes: #548730)

See Also

Package Description
libtest-poe-server-tcp-perl_1.20-1_all.deb test framework for TCP client libraries using POE
libtest-portability-files-perl_0.10-1_all.deb Perl module to check that file names in a distribution are portable
libtest-postgresql-perl_1.27-1_all.deb sets up and destroys temporary PostgreSQL instances for testing
libtest-prereq-perl_2.002-1_all.deb Perl module to check if Makefile.PL has the right pre-requisites
libtest-rdf-doap-version-perl_0.010-1_all.deb tests 'meta/changes.ttl' is up to date
libtest-rdf-perl_1.22-1_all.deb Test RDF data for validity and equality
libtest-redisserver-perl_0.21-1_all.deb redis-server runner for tests
libtest-refcount-perl_0.08-3_all.deb Perl module to assert reference counts
libtest-regexp-pattern-perl_0.004-1_all.deb test Regexp::Pattern patterns
libtest-regexp-perl_2017040101-1_all.deb Perl module to test regular expressions
libtest-regression-perl_0.08-1_all.deb test library for regression testing output
libtest-reporter-perl_1.62-1_all.deb Perl module to send test results to cpan-testers@perl.org
libtest-requires-git-perl_1.008-1_all.deb module to check the available version of Git
libtest-requires-perl_0.10-1_all.deb utility module for tests to check whether modules are available
libtest-requiresinternet-perl_0.05-2_all.deb module to easily test network connectivity
Advertisement
Advertisement